/*******************************************************************************
* Filename: BitArrayLibrary.h
* Developer(s): Diego Cuellar
* Language: ANSI C
* Abstract: 
* References: 
*******************************************************************************/
#ifndef BITARRAYLIBRARY_H
#define BITARRAYLIBRARY_H
/*******************************************************************************
* HEADER FILES
*******************************************************************************/
/* ansi c */
#include <device.h>
#include "CustomDataTypes.h"

/* propietary */

/* operation system */

/* processor expert */

/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/
extern volatile union byte_def BitsArrayProcessFlag;
//#define Expansion			BitsArrayProcessFlag.bitFlag.b7
//#define Expansion		 	BitsArrayProcessFlag.bitFlag.b6
//#define Expansion 		BitsArrayProcessFlag.bitFlag.b5
//#define Expansion  		BitsArrayProcessFlag.bitFlag.b4
//#define Expansion			BitsArrayProcessFlag.bitFlag.b3
//#define Expansion			BitsArrayProcessFlag.bitFlag.b2
#define AuxBitCarry	 		BitsArrayProcessFlag.bitFlag.b1
#define BitCarry			BitsArrayProcessFlag.bitFlag.b0

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/
extern void BitArrayLibrary_FrameRot(uint8 fcTmpStartBit, uint16 fiTmpSize3, uint8 fcTmpDirRotation, uint8 *pfcTmpFramePointer6);
extern void BitArrayLibrary_MultiFrameRot(uint8 fcTmpStartBit2, uint16 fiTmpSize4, uint8 fcTmpDirRotation2, uint8 *pfcTmpFramePointer7, uint8 fcTmpRotations);
extern uint8 BitArrayLibrary_ReadDataFrame(uint8 fcTmpBitsOffset, uint8 *pfcTmpFramePointer9, uint8 fcTmpBitsToRead);
extern void BitArrayLibrary_InsertDataByte(uint8 u8Dato, uint8 *u8PuntBuffer, uint8 u8Bitsbusy);
/*******************************************************************************
* END OF FILE
*******************************************************************************/
#endif 
