/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <device.h>

/*******************************************************************************
* Function Name: Audio_Adaptor_Filter_Start
********************************************************************************
* Summary:
*  Start the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*  
*******************************************************************************/
void Audio_Adaptor_Start(void) 
{
	Audio_Adaptor_Comparator_Start();
}

/*******************************************************************************
* Function Name: Audio_Adaptor_Filter_Stop
********************************************************************************
* Summary:
*  Stop the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*
*******************************************************************************/
void Audio_Adaptor_Stop(void) 
{
	Audio_Adaptor_Comparator_Stop();
}
/* [] END OF FILE */
