/*******************************************************************************
* File Name: FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L.h  
* Version 1.90
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_H) /* CY_STATUS_REG_FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_H */
#define CY_STATUS_REG_FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_H

#include "cytypes.h"
#include "CyLib.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 statusState;

} FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_BACKUP_STRUCT;


/***************************************
*        Function Prototypes
***************************************/

uint8 FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Read(void) ;
void FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_InterruptEnable(void) ;
void FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_InterruptDisable(void) ;
void FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_WriteMask(uint8 mask) ;
uint8 FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_INPUTS              8


/***************************************
*             Registers
***************************************/

/* Status Register */
#define FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status             (* (reg8 *) FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_sts_sts_reg__STATUS_REG )
#define FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status_PTR         (  (reg8 *) FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_sts_sts_reg__STATUS_REG )
#define FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status_Mask        (* (reg8 *) FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_sts_sts_reg__MASK_REG )
#define FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_Status_Aux_Ctrl    (* (reg8 *) FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_FSK_Demodulator_ShiftD_Reg_1_Status_Reg_L_H */


/* [] END OF FILE */
