/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <device.h>

/*******************************************************************************
* Function Name: MSK_Pattern_Det_SetFlagPattern
********************************************************************************
* Summary:
*  Set the 16 bits flagpattern to detect
* Parameters:  
*  16 bits pattern to detect
* Return: 
*  void 
*
*******************************************************************************/
void MSK_Pattern_Det_SetFlagPattern(uint8 FlagPatternH, uint8 FlagPatternL) 
{
	MSK_Pattern_Det_Control_Reg_L_Write(FlagPatternL);
	MSK_Pattern_Det_Control_Reg_H_Write(FlagPatternH);
}

/*******************************************************************************
* Function Name: MSK_Pattern_Det_ReadByte
********************************************************************************
* Summary:
*  Read the byte in the shift register
* Parameters:  
*  void
* Return: 
*  uint8 
*
*******************************************************************************/
uint8 MSK_Pattern_Det_ReadByte(void)
{
	uint8 ByteToRead = MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Read();
	return ByteToRead;
}

/* [] END OF FILE */