/*******************************************************************************
* File Name: MSK_Pattern_Det_Control_Reg_H.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_MSK_Pattern_Det_Control_Reg_H_H) /* CY_CONTROL_REG_MSK_Pattern_Det_Control_Reg_H_H */
#define CY_CONTROL_REG_MSK_Pattern_Det_Control_Reg_H_H

#include "cytypes.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 controlState;

} MSK_Pattern_Det_Control_Reg_H_BACKUP_STRUCT;


/***************************************
*         Function Prototypes 
***************************************/

void    MSK_Pattern_Det_Control_Reg_H_Write(uint8 control) ;
uint8   MSK_Pattern_Det_Control_Reg_H_Read(void) ;

void MSK_Pattern_Det_Control_Reg_H_SaveConfig(void) ;
void MSK_Pattern_Det_Control_Reg_H_RestoreConfig(void) ;
void MSK_Pattern_Det_Control_Reg_H_Sleep(void) ; 
void MSK_Pattern_Det_Control_Reg_H_Wakeup(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define MSK_Pattern_Det_Control_Reg_H_Control        (* (reg8 *) MSK_Pattern_Det_Control_Reg_H_Sync_ctrl_reg__CONTROL_REG )
#define MSK_Pattern_Det_Control_Reg_H_Control_PTR    (  (reg8 *) MSK_Pattern_Det_Control_Reg_H_Sync_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_MSK_Pattern_Det_Control_Reg_H_H */


/* [] END OF FILE */
