/*******************************************************************************
* File Name: MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H.h  
* Version 1.90
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_H) /* CY_STATUS_REG_MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_H */
#define CY_STATUS_REG_MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_H

#include "cytypes.h"
#include "CyLib.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 statusState;

} MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_BACKUP_STRUCT;


/***************************************
*        Function Prototypes
***************************************/

uint8 MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Read(void) ;
void MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_InterruptEnable(void) ;
void MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_InterruptDisable(void) ;
void MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_WriteMask(uint8 mask) ;
uint8 MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_INPUTS              8


/***************************************
*             Registers
***************************************/

/* Status Register */
#define MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status             (* (reg8 *) MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_sts_sts_reg__STATUS_REG )
#define MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status_PTR         (  (reg8 *) MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_sts_sts_reg__STATUS_REG )
#define MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status_Mask        (* (reg8 *) MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_sts_sts_reg__MASK_REG )
#define MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_Status_Aux_Ctrl    (* (reg8 *) MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_MSK_Pattern_Det_ShiftD_Reg_Status_Reg_H_H */


/* [] END OF FILE */
