/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <device.h>

/*******************************************************************************
* Function Name: `$INSTANCE_NAME`_SetFlagPattern
********************************************************************************
* Summary:
*  Set the 16 bits flagpattern to detect
* Parameters:  
*  16 bits pattern to detect
* Return: 
*  void 
*
*******************************************************************************/
void `$INSTANCE_NAME`_SetFlagPattern(uint8 FlagPatternH, uint8 FlagPatternL) 
{
	`$INSTANCE_NAME`_Control_Reg_L_Write(FlagPatternL);
	`$INSTANCE_NAME`_Control_Reg_H_Write(FlagPatternH);
}

/*******************************************************************************
* Function Name: `$INSTANCE_NAME`_ReadByte
********************************************************************************
* Summary:
*  Read the byte in the shift register
* Parameters:  
*  void
* Return: 
*  uint8 
*
*******************************************************************************/
uint8 `$INSTANCE_NAME`_ReadByte(void)
{
	uint8 ByteToRead = `$INSTANCE_NAME`_ShiftD_Reg_Status_Reg_H_Read();
	return ByteToRead;
}

/* [] END OF FILE */