/*******************************************************************************
* Filename: MiscFunctions.h
* Developer(s): Diego Cuellar
* Language: ANSI C
* Abstract: Funciones varias de proposito general
* References: 
*******************************************************************************/
#ifndef MISCFUNCTIONS_H
#define MISCFUNCTIONS_H
/*******************************************************************************
* HEADER FILES
*******************************************************************************/
/* ansi c */
#include <device.h>
/* propietary */

/* operation system */

/* processor expert */

/*******************************************************************************
* GLOBAL CONSTANT DECLARATION
*******************************************************************************/
#define	UpCounterData	1
#define	DownCounterData	2
/*******************************************************************************
* GLOBAL MACRO DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL NEW DATA TYPES
*******************************************************************************/

/*******************************************************************************
* GLOBAL DATA DECLARATION
*******************************************************************************/

/*******************************************************************************
* GLOBAL FUNCTION DECLARATION
*******************************************************************************/
// Funcion para convertir un byte en hexa a string
void MiscFunctions_ByteToString(uint8 ByteToConvert, uint8 *StringPointer);
void MiscFunctions_TempHexToDecByteConverter(uint8 uByteToConvert, uint8 *upPointer);
void MiscFunctions_ClearString(char *StringPointer, uint8 Size);
uint8 MiscFunctions_DecodASCIIHexa(uint8 fcTmpHighASCIIData, uint8 fcTmpLowASCIIData);
uint8 MiscFunctions_CalcSerialChecksum(uint8 *PointerData, uint8 NumberOfBytes);
uint8 MiscFunctions_CheckBitMask(uint16 MaskToCheck, uint8 Bitpos);
uint8 MiscFunctions_CompareArray(uint8 *ArrayPointer1, uint8 *ArrayPointer2, uint8 BytesToCompare);
uint16 MiscFunctions_FindCounterDifference(uint16 Number1, uint16 Number2, uint16 Resolution, uint8 Direccion);
uint16 MiscFunctions_EnmanchesterizarByte(uint8 u8DataByte);
void MiscFunctions_ClearBuffer(uint8 *u8BufferPointer, uint8 u8BytesToClear, uint8 u8ClearData, uint8 u8DirFlag);
void MiscFunctions_DeleteByteArray(uint8 *u8BufferPointer, uint8 u8BytesRotate, uint8 u8DirFlag);
/********************************************************************************
* Abbreviation Table
* 
*******************************************************************************/

/*******************************************************************************
* END OF FILE
*******************************************************************************/
#endif 
