/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "FSK_Glitch_Filter_1_Decod_window_dp_PMW.h"

/*******************************************************************************
* Function Name: FSK_Glitch_Filter_1_Decod_window_Filter_Start
********************************************************************************
* Summary:
*  Start the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*  
*******************************************************************************/
void FSK_Glitch_Filter_1_Decod_window_Start(void) 
{
    // Iniciar el modulo PWM para las ventanas de decodificacion
	///FSK_Glitch_Filter_1_Decod_window_Decod_window_Start();
}

/*******************************************************************************
* Function Name: FSK_Glitch_Filter_1_Decod_window_Filter_Stop
********************************************************************************
* Summary:
*  Stop the HW for filter_glitches component
* Parameters:  
*  void
* Return: 
*  void 
*
*******************************************************************************/
void FSK_Glitch_Filter_1_Decod_window_Stop(void) 
{
	// Detener el modulo PWM para las ventanas de decodificacion
	///FSK_Glitch_Filter_1_Decod_window_Decod_window_Stop();
}

/*******************************************************************************
* Function Name: FSK_Glitch_Filter_1_Decod_window_Filter_Stop
********************************************************************************
* Summary:
*  Set period and CMP values for a %error defined
* Parameters:  
*  Period in ms, Error in %
* Return: 
*  void 
*
*******************************************************************************/
void FSK_Glitch_Filter_1_Decod_window_WritePeriod(uint16 Period)
{
	///uint16	iWindowMS = (Period_us*(uint16)(Error))/(uint16)(100);
	// Fijar los valores en los generadores PWM
    CY_SET_REG16 (FSK_Glitch_Filter_Decod_window_Period_Reg,0x256);
    ///CY_SET_REG16 (dp_PMW_1_Compare_Reg,0x128);
	//FSK_Glitch_Filter_1_Decod_window_window_WritePeriod(((uint16)(clkSourceMhz))*(iWindowMS+Period_us));
	//FSK_Glitch_Filter_1_Decod_window_window_WriteCompare(((uint16)(clkSourceMhz))*(iWindowMS<<1));
}

/*******************************************************************************
* Function Name: FSK_Glitch_Filter_1_Decod_window_Filter_Stop
********************************************************************************
* Summary:
*  Set period and CMP values for a %error defined
* Parameters:  
*  Period in ms, Error in %
* Return: 
*  void 
*
*******************************************************************************/
void FSK_Glitch_Filter_1_Decod_window_WriteCompare(uint16 u16CompareValue)
{
	///uint16	iWindowMS = (Period_us*(uint16)(Error))/(uint16)(100);
	// Fijar los valores en los generadores PWM
    ///CY_SET_REG16 (dp_PMW_1_Period_Reg,0x256);
    CY_SET_REG16 (FSK_Glitch_Filter_Decod_window_Compare_Reg,0x128);
	//FSK_Glitch_Filter_1_Decod_window_window_WritePeriod(((uint16)(clkSourceMhz))*(iWindowMS+Period_us));
	//FSK_Glitch_Filter_1_Decod_window_window_WriteCompare(((uint16)(clkSourceMhz))*(iWindowMS<<1));
}


/* [] END OF FILE */
